Subject: [PATCH 4/4] ARM64: dts: imx: add i.MX8QXP system controller RTC support

From: [email-masked] (Alexandre Belloni)
Date: Wed, 28 Nov 2018 10:33:45 +0100

On 28/11/2018 09:21:56+0000, Anson Huang wrote:
> > > This module is NOT depending on any board design, should it be enabled by
> > default in soc dtsi?
> > > Like wdog etc..
> > >
> > 
> > I guess the point is that you may not want it enabled, even if it should always
> > be working. enabling it by default would affect the RTC ordering for example.
> 
> i.MX SoCs ONLY have 1 RTC. And RTC are always enabled by default for all i.MX
> SoCs, so do we have to disable it here and enable it in board dts?
> 

I would say that most of the i.MX based boards include another RTC
because the SoC one consumes way too much power.

Note that I don't care too much whether it is enabled by default, I
was simply explaining why you may want to disable it by default.

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com